Returns connection status bitfield

- « connection_aborted

- constant »

- PHP Manual
- Misc. Functions
- Returns connection status bitfield

# connection_status

(PHP 4, PHP 5, PHP 7, PHP 8)

connection_status — Returns connection status bitfield

### Description

connection_status(): int

Gets the connection status bitfield.

### Parameters

This function has no parameters.

### Return Values

Returns the connection status bitfield, which can be used against the `CONNECTION_*` constants to determine the connection status.

### See Also

- connection_aborted() - Check whether client disconnected
- ignore_user_abort() - Set whether a client disconnect should abort script execution
- Connection Handling for a complete description of connection handling in PHP.